## RygelHTTPTimeSeekResponse

RygelHTTPTimeSeekResponse

## Functions

RygelHTTPTimeSeekResponse * | rygel_http_time_seek_response_new ()
RygelHTTPTimeSeekResponse * | rygel_http_time_seek_response_new_time_only ()
RygelHTTPTimeSeekResponse * | rygel_http_time_seek_response_new_with_length ()
RygelHTTPTimeSeekResponse * | rygel_http_time_seek_response_new_from_request ()
gint64 | rygel_http_time_seek_response_get_start_time ()
gint64 | rygel_http_time_seek_response_get_end_time ()
gint64 | rygel_http_time_seek_response_get_range_duration ()
gint64 | rygel_http_time_seek_response_get_total_duration ()
gint64 | rygel_http_time_seek_response_get_start_byte ()
gint64 | rygel_http_time_seek_response_get_end_byte ()
gint64 | rygel_http_time_seek_response_get_response_length ()
gint64 | rygel_http_time_seek_response_get_total_size ()

## Properties

gint64 | end-byte | Read
gint64 | end-time | Read
gint64 | range-duration | Read
gint64 | response-length | Read
gint64 | start-byte | Read
gint64 | start-time | Read
gint64 | total-duration | Read
gint64 | total-size | Read

## Types and Values

#define | RYGEL_TYPE_HTTP_TIME_SEEK_RESPONSE
struct | RygelHTTPTimeSeekResponse
struct | RygelHTTPTimeSeekResponseClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPResponseElement
            ╰── RygelHTTPTimeSeekResponse

## Description

## Functions

### rygel_http_time_seek_response_new ()

    RygelHTTPTimeSeekResponse *
    rygel_http_time_seek_response_new (gint64 start_time,
                                       gint64 end_time,
                                       gint64 total_duration,
                                       gint64 start_byte,
                                       gint64 end_byte,
                                       gint64 total_size);

Construct a HTTPTimeSeekResponse with time and byte range

start_time and start_byte must be specified.

if total_duration and total_size are UNSPECIFIED, then the content duration/size will be signaled as unknown ("*")

if end_time is UNSPECIFIED, then the time range end will be omitted from the response. If the end_byte is UNSPECIFIED, the entire byte range response will be omitted. (see DLNA 7.5.4.3.2.24.3)

#### Parameters

start_time |  |
end_time |  |
total_duration |  |
start_byte |  |
end_byte |  |
total_size |  |

### rygel_http_time_seek_response_new_time_only ()

    RygelHTTPTimeSeekResponse *
    rygel_http_time_seek_response_new_time_only
                                   (gint64 start_time,
                                    gint64 end_time,
                                    gint64 total_duration);

Create a HTTPTimeSeekResponse only containing a time range

This form is only valid when byte-seek is not supported, according to the associated resource's ProtocolInfo (see DLNA 7.5.4.3.2.24.5)

#### Parameters

start_time |  |
end_time |  |
total_duration |  |

### rygel_http_time_seek_response_new_with_length ()

    RygelHTTPTimeSeekResponse *
    rygel_http_time_seek_response_new_with_length
                                   (gint64 start_time,
                                    gint64 end_time,
                                    gint64 total_duration,
                                    gint64 start_byte,
                                    gint64 end_byte,
                                    gint64 total_size,
                                    gint64 response_length);

Construct a HTTPTimeSeekResponse with time and byte range and allowing for a response length override. This is useful when the response body is larger than the specified byte range from the original content binary.

start_time and start_byte must be specified.

If total_duration and total_size are UNSPECIFIED, then the content duration/size will be signaled as unknown ("*")

if end_time is UNSPECIFIED, then the time range end will be omitted from the response. If the end_byte is UNSPECIFIED, the entire byte range response will be omitted. (see DLNA 7.5.4.3.2.24.3)

#### Parameters

start_time |  |
end_time |  |
total_duration |  |
start_byte |  |
end_byte |  |
total_size |  |
response_length |  |

### rygel_http_time_seek_response_new_from_request ()

    RygelHTTPTimeSeekResponse *
    rygel_http_time_seek_response_new_from_request
                                   (RygelHTTPTimeSeekRequest *time_seek_request,
                                    gint64 total_duration);

Create a HTTPTimeSeekResponse from a HTTPTimeSeekRequest

This form is only valid when byte-seek is not supported, according to the associated resource's ProtocolInfo (see DLNA 7.5.4.3.2.24.5)

#### Parameters

time_seek_request |  |
total_duration |  |

### rygel_http_time_seek_response_get_start_time ()

    gint64
    rygel_http_time_seek_response_get_start_time
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "start-time" property.

Effective range start time, in microseconds

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "start-time" property

### rygel_http_time_seek_response_get_end_time ()

    gint64
    rygel_http_time_seek_response_get_end_time
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "end-time" property.

Effective range end time, in microseconds

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "end-time" property

### rygel_http_time_seek_response_get_range_duration ()

    gint64
    rygel_http_time_seek_response_get_range_duration
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "range-duration" property.

Effective range duration, in microseconds

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "range-duration" property

### rygel_http_time_seek_response_get_total_duration ()

    gint64
    rygel_http_time_seek_response_get_total_duration
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "total-duration" property.

The total duration of the resource, in microseconds

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "total-duration" property

### rygel_http_time_seek_response_get_start_byte ()

    gint64
    rygel_http_time_seek_response_get_start_byte
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "start-byte" property.

The start of the range in bytes

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "start-byte" property

### rygel_http_time_seek_response_get_end_byte ()

    gint64
    rygel_http_time_seek_response_get_end_byte
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "end-byte" property.

The end of the range in bytes (inclusive)

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "end-byte" property

### rygel_http_time_seek_response_get_response_length ()

    gint64
    rygel_http_time_seek_response_get_response_length
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "response-length" property.

The response length in bytes

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "response-length" property

### rygel_http_time_seek_response_get_total_size ()

    gint64
    rygel_http_time_seek_response_get_total_size
                                   (RygelHTTPTimeSeekResponse *self);

Get and return the current value of the "total-size" property.

The length of the resource in bytes

#### Parameters

self | the RygelHTTPTimeSeekResponse instance to query |

#### Returns

the value of the "total-size" property

## Types and Values

### RYGEL_TYPE_HTTP_TIME_SEEK_RESPONSE

    #define RYGEL_TYPE_HTTP_TIME_SEEK_RESPONSE (rygel_http_time_seek_response_get_type ())

The type for RygelHTTPTimeSeekResponse.

### struct RygelHTTPTimeSeekResponse

    struct RygelHTTPTimeSeekResponse;

### struct RygelHTTPTimeSeekResponseClass

    struct RygelHTTPTimeSeekResponseClass {
    	RygelHTTPResponseElementClass parent_class;
    };

The class structure for `RYGEL_TYPE_HTTP_TIME_SEEK_RESPONSE`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“end-byte”` property

      “end-byte”                 gint64

The end of the range in bytes (inclusive)

Flags: Read

Default value: 0

### The `“end-time”` property

      “end-time”                 gint64

Effective range end time, in microseconds

Flags: Read

Default value: 0

### The `“range-duration”` property

      “range-duration”           gint64

Effective range duration, in microseconds

Flags: Read

Default value: 0

### The `“response-length”` property

      “response-length”          gint64

The response length in bytes

Flags: Read

Default value: 0

### The `“start-byte”` property

      “start-byte”               gint64

The start of the range in bytes

Flags: Read

Default value: 0

### The `“start-time”` property

      “start-time”               gint64

Effective range start time, in microseconds

Flags: Read

Default value: 0

### The `“total-duration”` property

      “total-duration”           gint64

The total duration of the resource, in microseconds

Flags: Read

Default value: 0

### The `“total-size”` property

      “total-size”               gint64

The length of the resource in bytes

Flags: Read

Default value: 0